const parseQueryParams = (params) => {
  /** Takes array of objects containing key / value pairs and returns in form of query string. 
   * @param {array} params - an array of query paramters.
  */
  // Check if an array is received and return zero length string if not.
  if (Object(params).constructor.name !== "Array") { return "" };
  let qString = params.map(e => `&${e.name}=${e.value}`).join().replace(/,/g, "");
  qString = qString.replace(/^&/, "");
  return qString;
};

module.exports = parseQueryParams;